Skip to main content
GET
/
v1
/
:customer
/
addresses
Recuperando Endereços
curl --request GET \
  --url https://lojinha.dev/api/v1/:customer/addresses \
  --header 'Authorization: Bearer <token>'
{
  "addresses": [
    {
      "id": "96c0e914-0094-4694-b735-a54633f8dfbc",
      "customerId": "7b16fb4f-6c54-4f7c-a751-3027b451b4ed",
      "alias": "Casa",
      "zipcode": "87045-700",
      "street": "Praça Pioneiro Antônio Laurentino Tavares",
      "state": "PR",
      "city": "Maringá",
      "country": "Brasil",
      "neightborhood": "Jd. América",
      "number": "200",
      "complement": "Casa Azul",
      "createdAt": "2023-07-24T14:46:19.941Z",
      "updatedAt": null,
      "deletedAt": null
    }
  ],
  "total": 1
}

Documentation Index

Fetch the complete documentation index at: https://docs.lojinha.dev/llms.txt

Use this file to discover all available pages before exploring further.

customer
string
required
ID ou externalId do cliente

Resposta

address
object
Endereço do cliente.
total
number
Total de endereços que o cliente possui
{
  "addresses": [
    {
      "id": "96c0e914-0094-4694-b735-a54633f8dfbc",
      "customerId": "7b16fb4f-6c54-4f7c-a751-3027b451b4ed",
      "alias": "Casa",
      "zipcode": "87045-700",
      "street": "Praça Pioneiro Antônio Laurentino Tavares",
      "state": "PR",
      "city": "Maringá",
      "country": "Brasil",
      "neightborhood": "Jd. América",
      "number": "200",
      "complement": "Casa Azul",
      "createdAt": "2023-07-24T14:46:19.941Z",
      "updatedAt": null,
      "deletedAt": null
    }
  ],
  "total": 1
}